org.apache.commons.math3.exception

## Class MathIllegalStateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.apache.commons.math3.exception.MathIllegalStateException

- All Implemented Interfaces:
    Serializable, ExceptionContextProvider
  Direct Known Subclasses:
    CardanEulerSingularityException, ConvergenceException, MathInternalError, MathParseException, MaxCountExceededException, NoFeasibleSolutionException, UnboundedSolutionException

      public class MathIllegalStateException
      extends IllegalStateException
      implements ExceptionContextProvider

  Base class for all exceptions that signal a mismatch between the current state and the user's expectations.
  Since:
    2.2
  Version:
    $Id$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathIllegalStateException()` Default constructor.
    `MathIllegalStateException(Localizable pattern, Object... args)` Simple constructor.
    `MathIllegalStateException(Throwable cause, Localizable pattern, Object... args)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExceptionContext` | `getContext()` Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
    `String` | `getLocalizedMessage()`
    `String` | `getMessage()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MathIllegalStateException

          public MathIllegalStateException(Localizable pattern,
                                   Object... args)

      Simple constructor.
      Parameters:
        `pattern` - Message pattern explaining the cause of the error.
        `args` - Arguments.

    - #### MathIllegalStateException

          public MathIllegalStateException(Throwable cause,
                                   Localizable pattern,
                                   Object... args)

      Simple constructor.
      Parameters:
        `cause` - Root cause.
        `pattern` - Message pattern explaining the cause of the error.
        `args` - Arguments.

    - #### MathIllegalStateException

          public MathIllegalStateException()

      Default constructor.

  - ### Method Detail

    - #### getContext

          public ExceptionContext getContext()

      Gets a reference to the "rich context" data structure that allows to customize error messages and store key, value pairs in exceptions.
      Specified by:
        `getContext` in interface `ExceptionContextProvider`
      Returns:
        a reference to the exception context.

    - #### getMessage

          public String getMessage()

      Overrides:
        `getMessage` in class `Throwable`

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Overrides:
        `getLocalizedMessage` in class `Throwable`

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.